> ## Documentation Index
> Fetch the complete documentation index at: https://pier.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Applications

> Applications represent the credit application for a borrower. Applications must be created for a given borrower, and one borrower can have many applications. Once an application is created, it must either be approved or rejected.

Applications can have a status of `pending`, `approved`, `accepted`, `rejected`, `expired`

<Card title="Create an application" icon="file-circle-plus" href="/applications/create-application">`POST /applications`</Card>
<Card title="Approve an application" icon="file-circle-check" href="/applications/approve-application">`POST /applications/{application_id}/approve`</Card>
<Card title="Reject an application" icon="file-circle-xmark" href="/applications/reject-application">`POST /applications/{application_id}/reject`</Card>
<Card title="Retrieve an application by id" icon="file-magnifying-glass" href="/applications/retrieve-application-by-id">`GET /applications/{application_id}`</Card>
<Card title="List all applications" icon="list" href="/applications/list-all-applications">`GET /applications`</Card>

## Application object

### Attributes

<ResponseField name="id" type="string">
  Unique identifier for the object
</ResponseField>

<ResponseField name="borrower_id" type="string">
  The borrower\_id of the borrower the application belongs to
</ResponseField>

<ResponseField name="created_on" type="string">
  Timestamp the application object is created on
</ResponseField>

<ResponseField name="credit_type" type="enum">
  The type of credit product. Accepted values: installment\_loan, revolving\_line\_of\_credit, or closed\_line\_of\_credit
</ResponseField>

<ResponseField name="decisioned_on" type="string">
  Timestamp when the application is either approved or rejected on
</ResponseField>

<ResponseField name="offer" type="object">
  If the application is approved, an object containing the credit offer details. See [LineOfCreditOffer](https://www.notion.so/72a5b7a8b07d4bb983ae86a6b32d6696) and [LoadOffer](https://www.notion.so/72a5b7a8b07d4bb983ae86a6b32d6696) types
</ResponseField>

<ResponseField name="rejection_reasons" type="list">
  If the application is rejected, a list containing 1-4 rejection reason(s). The [Rejection Reasons](https://www.notion.so/72a5b7a8b07d4bb983ae86a6b32d6696endpoint) provides a list of valid reasons and descriptors |
</ResponseField>

<ResponseField name="requested_amount" type="integer">
  If the borrower requests an amount in their application, the requested loan or credit line amount in cents (e.g. 500000 for \$5,000)
</ResponseField>

<ResponseField name="status" type="enum">
  The status of the credit application. Accepted values:<br /><br />`pending` the application is pending a decision<br />`approved` the application is approved with an offer<br />`accepted` the application offer has been accepted by the borrower<br />`rejected` the application is rejected<br />`expired` the application has expired
</ResponseField>

<Accordion title="Application object">
  ```json Example Application object
  {
    "id": "app_f0467657bba948e6a87292e182132848",
    "borrower_id": "bor_a381b26f0a79480abae786796c54b8b8",
    "credit_type": "installment_loan",
    "status": "pending",
    "created_on": "2022-12-31T01:36:52.606Z",
    "rejection_reasons": []
  }
  ```
</Accordion>
